    # File lib/action_controller/base.rb, line 512
          def url_for(options = {}, *parameters_for_method_reference) #:doc:
            case options
              when String
                options

              when Symbol
                ActiveSupport::Deprecation.warn(
                  "You called url_for(:#{options}), which is a deprecated API call. Instead you should use the named " +
                  "route directly, like #{options}(). Using symbols and parameters with url_for will be removed from Rails 2.0.",
                  caller
                )

                send(options, *parameters_for_method_reference)

              when Hash
                @url.rewrite(rewrite_options(options))
            end
          end